/*!
 * This file is part of the DATAtourisme project.
 * 2022
 * @author Conjecto <contact@conjecto.com>
 * SPDX-License-Identifier: GPL-3.0-or-later
 * For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 */ 
.alignement-navigator {

  .alignment-carousel-wrapper {
    overflow: hidden;
  }

  .alignment-carousel {

    white-space: nowrap;
    -webkit-transition: transform 0.3s ease, margin 0.3s ease;
    -moz-transition: transform 0.3s ease, margin 0.3s ease;
    -o-transition: transform 0.3s ease, margin 0.3s ease;
    transition: transform 0.3s ease, margin 0.3s ease;

    > div {
      display: inline-block;
      float: none;
      white-space: normal;
      -webkit-transition: width 0.3s ease, margin 0.3s ease;
      -moz-transition: width 0.3s ease, margin 0.3s ease;
      -o-transition: width 0.3s ease, margin 0.3s ease;
      transition: width 0.3s ease, margin 0.3s ease;
      vertical-align: top;

    }
  }
}

alignment-step {
  .progress {
    background: #FFF;
  }

  .box-tools .fa-caret-down {
    font-size: 1.3em;
  }

  .list-group-item {
    border-width: 1px 0 0 0;
    padding-left:35px;

    > .fa {
      position: absolute;
      left: 9px;
      font-size:14px;
      top:14px;
    }

    &:first-child {
      border-top-left-radius: 0;
      border-top-right-radius: 0;
    }

    &.missing {
      > .fa {
        left: 8px; // fix pos bug for fa-question
        color:$gray-lte;
        &::before {
          content: $fa-var-question;
        }
      }
    }

    &.disabled {
      background: #FFF;
      cursor: pointer;
      * {
        opacity: .5;
      }
    }

    &.incomplete {
      background-color: $state-warning-bg;
      border-color:darken($state-warning-bg, 10%);
      > .fa {
        color:$orange;
        &::before {
          content: $fa-var-ellipsis-h;
        }
      }
    }

    &.success {
      background-color: lighten($state-success-bg, 5%);
      border-color:darken($state-success-bg, 5%);
      > .fa {
        color:$green;
        &::before {
          content: $fa-var-check;
        }
      }
    }

    &.warning {
      background-color: $state-warning-bg;
      border-color:darken($state-warning-bg, 10%);
      > .fa {
        color:$orange;
        &::before {
          content: $fa-var-warning;
        }
      }
    }

    &.important {
      background-color: $state-warning-bg;
      border-color:darken($state-warning-bg, 10%);
      > .fa {
        color:$orange;
        &::before {
          content: $fa-var-exclamation-circle;
        }
      }
    }

    &.active {
      color: $list-group-active-color !important;
      background-color: $list-group-active-bg !important;
      border-color: $list-group-active-border !important;
      small, .fa {
        color:#FFF !important;
      }
      .label {
        background: #FFF;
      }
    }
  }
}


.jstree-grid-wrapper {
  .jstree-grid-header {
    background: #FFF !important;
    font-weight: bold;
    padding: 5px;
    border-bottom: 1px solid #f4f4f4;
    .jstree-grid-separator {
      display:none;
    }
  }
  .jstree-hovered {
    box-shadow: none;
    border-radius: 0;
  }
  .jstree-search {
    box-shadow: none;
    background: $gray-light;
    color: $btn-primary-color;
    border-radius: 0;
    * {
      color: $btn-primary-color !important;
    }
    .label {
      background: $btn-primary-color !important;
      color: $gray-light !important;
    }
  }
  .jstree-clicked {
    box-shadow: none;
    background: $brand-primary;
    color: $btn-primary-color;
    border-radius: 0;
    * {
      color: $btn-primary-color !important;
    }
    .label {
      background: $btn-primary-color !important;
      color: $brand-primary !important;
    }
  }
}

/*
.xml-modal {
  .modal-body {
    padding: 0
  }
}*/

.xml-modal{
  display: block !important; /* I added this to see the modal, you don't need this */

  /* Important part */
  .modal-dialog{
    overflow-y: initial !important
  }
  .modal-body{
    height: 500px;
    overflow-y: auto;
  }
}

.modal-dialog-body-nopadding {
  .modal-body {
    padding:0
  }
}


.selectize-dropdown [data-selectable].selected {
  opacity:.5
}
